#3 patch for compiling with EAPI

open
nobody
5
2002-12-29
2002-12-29
Guenter Knauf
No

--- mod_gzip.c.orig Tue Oct 01 08:29:50 2002
+++ mod_gzip.c Sun Dec 29 01:42:03 2002
@@ -4400,6 +4400,12 @@
NULL,
NULL,
NULL
+#ifdef EAPI
+,NULL,
+ NULL,
+ NULL,
+ NULL
+#endif
};

#ifdef NETWARE

Discussion

  • Logged In: NO

    hi i got the :

    [warn] Loaded DSO modules/mod_gzip.so uses plain
    Apache 1.3 API, this module might crash under EAPI!
    (please recompile it with -DEAPI)

    can someone plz help me

    BTW what program do u use for compiling this?

    tnx in advance

    Annon

     
  • Guenter Knauf
    Guenter Knauf
    2003-01-20

    Logged In: YES
    user_id=670502

    Hi,
    apply the patch (with the program 'patch' or simply by hand) and
    recompile as suggested with -DEAPI.
    if you are on windows you can
    contact me for an updated binary; go to my site and fetch my email
    there:
    http://www.gknw.de/development/apache/

    G.